Nowe posty

Autor Wątek: bład w kompilacji....  (Przeczytany 5526 razy)

Offline

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 4
    • Zobacz profil
bład w kompilacji....
« dnia: 2007-10-24, 18:12:07 »
Witam , próbował konfigurowac sieć przez Ndiswrappera, który ściągłem bez problemu z płytek instalacyjnych, przy próbie kompilacji Ndiswrappera wyskakuje mi błąd"
Kod:
modules/ndiswrapper/wrapmem.h
modules/ndiswrapper/wrapndis.c
modules/ndiswrapper/wrapndis.h
modules/ndiswrapper/wrapper.c
modules/ndiswrapper/INSTALL
debian:/usr/src# cd modules/ndiswrapper
debian:/usr/src/modules/ndiswrapper# make && make install
Can't find kernel build files in /lib/modules/2.6.18-4-686/build;
  give the path to kernel build directory with

, sterowniki windowsowskie mi zainstalowało,(NetRt61G.INF) ale przy wywołaniu modprobe ndiswrapper wyskakuje mi bład tzn: FATALE ndiswrapper,,prosze o pomoc w tym problemie, jesli da rade....Może ściągnąć ndiswrappera z internetu?, a nie z płytek.....
podałem...Proszę o szybką odpowiedz..... :-( :-(

Offline

  • Users
  • Stały bywalec
  • ***
  • Wiadomości: 225
    • Zobacz profil
bład w kompilacji....
« Odpowiedź #1 dnia: 2008-02-01, 18:08:41 »
Odpowiedź prawdopodobnie jest prosta jak kilo sznurka w kieszeni!

Otóż najprawdopodobniej nie masz zainstalowanych źródeł jądra.
Uwaga sama instalacja to mało musisz jeszcze je zbudować (skompilować)!
Nie musisz instalować tego jądra.
Konfigurację skopiuj z /boot (konfiguracja dla jądra 2.6.18-4-686 (bodajże config-wersjaJądra) do katalogu z jądrem (tzn do jego korzenia) jako '.config'.
Do zbudowania i zainstalowania jądra użyj:
make && make modules_install && make install && update-initramfs -cu 2.6.18-4-686 && lilo

Po wykonaniu tej czynności będziesz miał bezproblemowe jądro do budowania nowych modułów (ndiswrapper to też moduł)

A jeszcze jedno, najlepiej najpierw przyjrzyj się sytuacji, może wcale nie jest konieczne korzystanie z win sterowników, może istnieje moduł jądra dla twojej sieciówki WLAN.

Pozdrawiam i życzę sukcesu.

Linux can run even faster!

Offline Piotr Chmura

  • Administrator
  • Guru
  • *****
  • Wiadomości: 5060
    • Zobacz profil
bład w kompilacji....
« Odpowiedź #2 dnia: 2008-02-01, 21:12:22 »
Jeśli to jest karta na chipsecie rt61, to natywne sterowniki są w jądrze 2.6.24, ew. do starszych wersji jądra można pobrać z http://rt2x00.serialmonkey.com/
Myślę, że warto spróbować.

Offline

  • Users
  • Stały bywalec
  • ***
  • Wiadomości: 225
    • Zobacz profil
bład w kompilacji....
« Odpowiedź #3 dnia: 2008-02-01, 22:24:47 »
Nie będziemy gdybać - wrzuć efekt działania polecenia lspci
najlepiej wrzuć i typowe lspci jak i 'lspci -vv"

Linux can be even fater!